27 results (0.489 seconds)
++ed by:
Kevin Ryde
Documentation
Modules
Perl::Critic::Policy::CodeLayout::RequireFinalSemicolon - require a semicolon at the end of code blocks
Perl::Critic::Policy::Compatibility::ConstantPragmaHash - new enough "constant" module for multiple constants
Perl::Critic::Policy::Compatibility::Gtk2Constants - new enough Gtk2 version for its constants
Perl::Critic::Policy::Compatibility::PerlMinimumVersionAndWhy - explicit Perl version for features used
Perl::Critic::Policy::Compatibility::PodMinimumVersion - check Perl version declared against POD features used
Perl::Critic::Policy::Documentation::ProhibitBadAproposMarkup - don't use Cltgt markup in a NAME section
Perl::Critic::Policy::Documentation::ProhibitVerbatimMarkup - unexpanded Cltgt etc markup in POD verbatim paras
Perl::Critic::Policy::Documentation::RequireEndBeforeLastPod - require __END__ before POD at end of file
Perl::Critic::Policy::Miscellanea::TextDomainPlaceholders - check placeholder names in Locale::TextDomain calls
Perl::Critic::Policy::Miscellanea::TextDomainUnused - check for Locale::TextDomain imported but unused
Perl::Critic::Policy::Modules::ProhibitModuleShebang - don't put a #! line at the start of a module file
Perl::Critic::Policy::Modules::ProhibitPOSIXimport - don't import the whole of POSIX into a module
Perl::Critic::Policy::Modules::ProhibitUseQuotedVersion - avoid quoted version number string in a "use" statement
Perl::Critic::Policy::ValuesAndExpressions::ProhibitNullStatements - disallow empty statements (stray semicolons)
Perl::Critic::Pulp - some add-on perlcritic policies
Perl::Critic::Pulp::PodParser - shared POD parsing code for the Pulp perlcritic add-on
Perl::Critic::Pulp::Utils - shared helper code for the Pulp perlcritic add-on
Provides
Perl::Critic::Policy::Documentation::ProhibitBadAproposMarkup::Parser in lib/Perl/Critic/Policy/Documentation/ProhibitBadAproposMarkup.pm
Perl::Critic::Policy::Documentation::ProhibitVerbatimMarkup::Parser in lib/Perl/Critic/Policy/Documentation/ProhibitVerbatimMarkup.pm
Perl::Critic::Pulp::PodMinimumVersionViolation in lib/Perl/Critic/Policy/Compatibility/PodMinimumVersion.pm



Hosting generously
sponsored by Bytemark